import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
declare global {
    interface HTMLElementTagNameMap {
        'sz-dns-ssl-card': SzDnsSslCard;
    }
}
export declare class SzDnsSslCard extends DeesElement {
    static demo: () => TemplateResult<1>;
    static demoGroups: string[];
    accessor dnsConfigured: boolean;
    accessor acmeConfigured: boolean;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
}
